/**
 * Black theme for reveal.js. This is the opposite of the 'white' theme.
 *
 * By Hakim El Hattab, http://hakim.se
 */


// Default mixins and settings -----------------
@import "../template/mixins";
@import "../template/settings";
// ---------------------------------------------


// Include theme-specific fonts
@import url(./fonts/source-sans-pro/source-sans-pro.css);


// Override theme settings (see ../template/settings.scss)
$backgroundColor: darken(#1F416B, 0%);

$mainColor: #fff;
$headingColor: #fff;

$mainFontSize: 42px;
$mainFont: 'Source Sans Pro', Helvetica, sans-serif;
$headingFont: 'Source Sans Pro', Helvetica, sans-serif;
$headingTextShadow: none;
$headingLetterSpacing: normal;
$headingTextTransform: uppercase;
$headingFontWeight: 600;
$linkColor: #3CB497;
$linkColorHover: lighten( $linkColor, 15% );
$selectionBackgroundColor: #E73F16;

$heading1Size: 2.5em;
$heading2Size: 1.6em;
$heading3Size: 1.3em;
$heading4Size: 1.0em;

// Change text colors against light slide backgrounds
@include light-bg-text-color(#222);


// Theme template ------------------------------
@import "../template/theme";
// ---------------------------------------------

button {
  color: $mainColor;
  background-color: darken($linkColor, 10%);
  border: 2px solid $linkColor;
  border-radius: 2px;
  padding: .5em 1em;
  font-size: 1rem;

  &:hover {
    background-color: $linkColor;
  }
}

.left {
  text-align: left;
  width: 90%;
  margin: 0 auto;
}

li {
  margin-bottom: .3em;
}

.reveal .hljs-comment {
  color: #40c9c9;
}
